# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['_mappers', '_mappers.entities', '_mappers.sources', 'mappers']

package_data = \
{'': ['*']}

extras_require = \
{':python_version >= "2.7" and python_version < "2.8"': ['typing'],
 'mkdocs': ['mkdocs', 'mkdocs-material']}

setup_kwargs = {
    'name': 'mappers',
    'version': '1.0.2',
    'description': 'Declarative mappers from ORM models to domain entities. And back again!',
    'long_description': '[![logo](https://raw.githubusercontent.com/dry-python/brand/master/logo/mappers.png)](https://github.com/dry-python/mappers)\n\n[![azure-pipeline](https://dev.azure.com/dry-python/mappers/_apis/build/status/dry-python.mappers?branchName=master)](https://dev.azure.com/dry-python/mappers/_build/latest?definitionId=1&branchName=master)\n[![codecov](https://codecov.io/gh/dry-python/mappers/branch/master/graph/badge.svg)](https://codecov.io/gh/dry-python/mappers)\n\n---\n\nDeclarative mappers from ORM models to domain entities. And back again!\n',
    'author': 'Artem Malyshev',
    'author_email': 'proofit404@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://dry-python.org/',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'extras_require': extras_require,
    'python_requires': '>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*',
}


setup(**setup_kwargs)
